For the complete documentation index, see llms.txt. This page is also available as Markdown.

📄Document Methods

Sign hash

post
Path parameters
processIdinteger · int32Required
Query parameters
HashAlgorithmstringOptional
HashstringOptional
Header parameters
API-KEYstringOptional
Responses
200

Success

No content

post/api/Document/Sign/{processId}
POST /api/Document/Sign/{processId} HTTP/1.1
Accept: */*
200

Success

No content

Sign hash (JSON request)

post
Path parameters
processIdinteger · int32Required
Header parameters
API-KEYstringOptional
Body
hashAlgorithmstring · nullableOptional
hashstring · nullableOptional
Responses
200

Success

No content

post/api/Document/Sign/{processId}/json
POST /api/Document/Sign/{processId}/json HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "hashAlgorithm": "text",
  "hash": "text"
}
200

Success

No content

Validate document (PDF report)

Validate document (PDF report)

POST /api/Document/Validate/Pdf/{processId}

This method verifies the uploaded file in accordance with EIDAS guidelines. Verifies certification path and the signature. Generates a PDF report. The contents of file should be sent as a binary octet stream (https://www.iana.org/assignments/media-types/application/octet-stream)

Path Parameters

Name
Type
Description

processId*

Integer

Request Body

Name
Type
Description

<binary-octet-stream>

<binary-octet-stream>

Example response:

<Base64 report pdf data>

Validate document (XML report)

Validate document (XML report)

POST /api/Document/Validate/Pdf/{processId}

This method verifies the uploaded file in accordance with EIDAS guidelines. Verifies certification path and the signature. Generates a XML report. The contents of file should be sent as a binary octet stream (https://www.iana.org/assignments/media-types/application/octet-stream)

Path Parameters

Name
Type
Description

processId*

Integer

Request Body

Name
Type
Description

<binary-octet-stream>

<binary-octet-stream>

Example response:

<XMLreport>

Last updated